FreeBSD : perl -- multiple vulnerabilities (d9e82328-a129-11e7-987e-4f174049b30a)

High Nessus Plugin ID 103442


The remote FreeBSD host is missing one or more security-related updates.


SO-AND-SO reports :

CVE-2017-12814: $ENV{$key} stack-based buffer overflow on Windows

A possible stack-based buffer overflow in the %ENV code on Windows has been fixed by removing the buffer completely since it was superfluous anyway.

CVE-2017-12837: Heap buffer overflow in regular expression compiler

Compiling certain regular expression patterns with the case-insensitive modifier could cause a heap buffer overflow and crash perl. This has now been fixed.

CVE-2017-12883: Buffer over-read in regular expression parser

For certain types of syntax error in a regular expression pattern, the error message could either contain the contents of a random, possibly large, chunk of memory, or could crash perl. This has now been fixed.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 103442

File Name: freebsd_pkg_d9e82328a12911e7987e4f174049b30a.nasl

Version: $Revision: 3.4 $

Type: local

Published: 2017/09/25

Modified: 2018/01/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:perl5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/09/24

Vulnerability Publication Date: 2017/09/19

Reference Information

CVE: CVE-2017-12814, CVE-2017-12837, CVE-2017-12883